Class {
	#name : #BaselineOfTiddlyWikiPharo,
	#superclass : #BaselineOf,
	#category : #BaselineOfTiddlyWikiPharo
}

{ #category : #baselines }
BaselineOfTiddlyWikiPharo >> baseline: spec [
	<baseline>
	spec
		for: #common 
		do: [
			"Dependencies"
			spec baseline: 'ZTimestamp' with: [ spec repository: 'github://svenvc/ztimestamp/repository' ].
			"PENDING! 
			Disabling MiniDocs temporaly as a dependency.
			ExoRepo repositories should return proper repositories 
			instead of wrappers to take advantages of the full 
			repository syntax, including what to do if the repository is already installed."
			"self miniDocs: spec."
			self videoWeb: spec.
			"Packages" 
			 spec 
			 	package: 'TiddlyWiki' 
			 	with: [ spec requires: #('ZTimestamp' "'MiniDocs'" 'VideoWeb') ]
		]
]

{ #category : #accessing }
BaselineOfTiddlyWikiPharo >> miniDocs: spec [ 
	
	| repo |
	repo := ExoRepo new
   		repository: 'https://code.tupale.co/Offray/MiniDocs'.
	repo
		onConflict: [ :ex | ex useLoaded ];
    	onUpgrade: [ :ex | ex useLoaded ];
    	onDowngrade: [ :ex | ex useLoaded ];
    	onWarningLog; 
		load.
	spec baseline: 'MiniDocs' with: [ spec repository: 'gitlocal://', repo local fullName ]
]

{ #category : #accessing }
BaselineOfTiddlyWikiPharo >> projectClass [ 
	^ MetacelloCypressBaselineProject 
]

{ #category : #baselines }
BaselineOfTiddlyWikiPharo >> videoWeb: spec [ 
	| repo |
	repo := ExoRepo new
   		repository: 'https://code.sustrato.red/Offray/VideoWeb'.
	repo load.
	spec baseline: 'VideoWeb' with: [ spec repository: 'gitlocal://', repo local fullName ]
]
